% script PCAICADemo
%
% This is just for viewing what some of the basis functions end up
% looking like.

l = 1; % for Escola

% for official_partitions
load ~/Documents/cs229/ourdata/Brazil/partitions.mat
load_data

parts = official_partitions{l};
testInd = parts{1};
trainInd = [parts{2} parts{3} parts{4} parts{5}];

numBases = 5;


[X,Y] = make_large_X(nm_cell{l}, nmq_cell{l});

[whichInd, Vout, Xmus, Xstds, Xproj] = doPCA(X(trainInd,:), numBases);
Hpca = PCAProj(X, whichInd, Vout, Xmus, Xstds);
[whichInd, Vout, Xmus, Xstds, Xproj] = doPCA(X(trainInd,:), numBases, 1, 1);
Hica = PCAProj(X, whichInd, Vout, Xmus, Xstds);


figure(7)
for i=1:numBases,
    subplot(numBases,1,i)
    plot(Hpca(:,i))
    if (i==1)
        title('Principal components')
    end
    
    ylabel('Magnitude')
    if (i==numBases)
        xlabel('Onsets')
    end
end


figure(8)
for i=1:numBases,
    subplot(numBases,1,i)
    plot(Hica(:,i))
    if (i==1)
        title('Independent components')
    end
    
    ylabel('Magnitude')
    if (i==numBases)
        xlabel('Onsets')
    end
end