function chopdataset(dataset,minbeatsbetween)
% Applies chopnm to all of the files in the dataset.

[nm,name] = dir2coll(strcat(dataset,'/Original'));
outdir = strcat(dataset,'/Chopped/');


L = length(nm);
for l = 1:L,
    % Chop up the input files into sequences
    [nmchop,K] = chopnm(nm{l},minbeatsbetween);
    for k=1:K,
        % Write out the individual sequences
        outname = strrep(name(l,:),'.MID',sprintf('-%d.MID',k));
        writemidi(nmchop{k},strcat(outdir,outname),10000,gettempo(nmchop{k}));
    end
end
