function [total, numinsts, totalperinstrument] = countnotes(srcFname)

nm = readmidi(srcFname);

total = size(nm, 1);
instruments = unique(nm(:,4));
numinsts = length(instruments);
totalperinstrument = zeros(numinsts, 2);

totalperinstrument(:,1) = instruments;
for i = 1:numinsts
    totalperinstrument(i,2) = sum(nm(:,4) == instruments(i));
end

thetempo = gettempo(nm);