genre = 2;

  if genre == 1
    dataset = 'Brazil'
    rhythmnames = brazilrhythmnames
    disp('obrigado');
  else
    dataset = 'Reggae'
    rhythmnames = reggaerhythmnames
    disp('irae');
  end


disp(['Rhythm, # notes, # instruments, min abs MT, max abs MT, mean' ...
      ' abs MT, variance MT, STD MT']);

for rhythmNumber = 1:length(rhythmnames)
  rhythmname = rhythmnames{rhythmNumber};

  if genre ==  1
    % Brazil
    nmq = nmq_cell{rhythmNumber};
    nm = nm_cell{rhythmNumber};
  else
    % Reggae
    nmq = nmq_reg_cell{rhythmNumber};
    nm = nm_reg_cell{rhythmNumber};

    % discard weird cyclic margin stuff
    ind = reggaerhythm_totInd{rhythmNumber};
%    minind = min(ind)
%    maxind = max(ind)
%    sizenm = size(nm)
%    sizenq = size(nmq)
    
    nmq = nmq(ind, :);
    nm = nm(ind, :);
  end

  n = size(nm, 1);
  numinsts = length(unique(nm(:,4)));

  true_devs = nm(:, 1) - nmq(:, 1);
  mindev = min(abs(true_devs));
  maxdev = max(abs(true_devs));
  meanabsdev = mean(abs(true_devs));
  vardev = var(true_devs);
  stddev = std(true_devs);

  disp([rhythmname ', ' num2str(n) ', ' num2str(numinsts) ', ' ...
	num2str(mindev) ', ' num2str(maxdev) ', ' num2str(meanabsdev) ...
	', ' num2str(vardev) ', ' num2str(stddev)]);
end
