function [means,stds,pos,totalVariance] = estimateGrooveTemplate(hhnm, hhnmq, plottitle)
% This is quite old ....

if nargin < 3
  doplot = 0;
else
  doplot = 1;
end

global fignum


% Form some attributes that help track the first-order differences
attribs = [mod(hhnm(:,1),4) mod(hhnmq(:,1),4)];
attribs(:,3) = attribs(:,1) - attribs(:,2);

% Alleviate problems due to wrap-around
toolargeind = find(attribs(:,3) > 2);
attribs(toolargeind,3) = attribs(toolargeind,3) - 4;
toosmallind = find(attribs(:,3) < -2);
attribs(toosmallind,3) = attribs(toosmallind,3) + 4;

pos = [0:1/8:4-1/8]';
P = length(pos);

% Calculate the means and standard deviations
means = zeros(P,1);
stds = zeros(P,1);

if doplot
  fignum = fignum+1;
  figure(fignum)
  title(['Histograms: ' plottitle]);
end

for n=1:length(pos),
    ind = find(attribs(:,2) == pos(n));
    
    if doplot
        subplot(4, 8, n);
	hist(attribs(ind,3));
    end
    
    %length(ind)
    if (length(ind) > 0)
        means(n) = mean(attribs(ind,3));
        stds(n) = std(attribs(ind,3));
    end
end

totalVariance = var(attribs(:,3))
means
mean_of_means = mean(means)

% Plot deviation from groove template, note-by-note

fignum = fignum+1;
figure(fignum)

realDevs = hhnm(:,1) - hhnmq(:,1);

errors = realDevs - means(1+(8*attribs(:,2)));

n = length(errors);

chunknonsense = 0;
if chunknonsense
chunk1 = [1:floor(n/4)];
chunk2 = [floor(n/4): floor(n/2)];
chunk3 = [floor(n/2):floor(3*n/4)];
chunk4 = [floor(3*n/4):n];

subplot(411);
plot(hhnmq(chunk1,1), errors(chunk1));
subplot(412);
plot(hhnmq(chunk2,1), errors(chunk2));
subplot(413);
plot(hhnmq(chunk3,1), errors(chunk3));
subplot(414);
plot(hhnmq(chunk4,1), errors(chunk4));
else

stem(hhnmq(:,1), errors);
barlines = [1:4:max(hhnmq(:,1))];
hold on
stem(barlines, 1.1*max(errors) * ones(size(barlines)), 'k');
end

title(['Per-note deviation from instrument groove template ' plottitle]);
