% load_data.m: script to read quantized and unquantized data from
% Matlab .mat file


% 'nm_cell','nmq_cell','fnames','onsetRes'
load('~/Documents/cs229/ourdata/Brazil/Quantized/NoteMatrices.mat');

individual_named_notematrices = 1
if individual_named_notematrices
  escola_nm = nm_cell{1};
  escola_nmq = nmq_cell{1};

  olodum_nm = nm_cell{2};
  olodum_nmq = nmq_cell{2};

  sambareg_nm = nm_cell{3};
  sambareg_nmq = nmq_cell{3};

  rokbahia_nm = nm_cell{4};
  rokbahia_nmq = nmq_cell{4};

  maracana_nm = nm_cell{5};
  maracana_nmq = nmq_cell{5};

  partalto_nm = nm_cell{6};
  partalto_nmq = nmq_cell{6};

  sambafnk_nm = nm_cell{7};
  sambafnk_nmq = nmq_cell{7};

  afoxe_nm = nm_cell{8};
  afoxe_nmq = nmq_cell{8};

  baiao_nm = nm_cell{9};
  baiao_nmq = nmq_cell{9};
end


brazilrhythmnames = {'escola', 'olodum', 'sambareg', 'rokbahia', ...
    'maracana', 'partalto', 'sambafnk', 'afoxe', 'baiao'};



load('~/Documents/cs229/ourdata/Reggae/Quantized/NoteMatrices.cyclical.mat');
if individual_named_notematrices
  eightreg_nm = nm_reg_cell{1};
  eightreg_nmq = nmq_reg_cell{1};
  eightreg_seqnames = reggaerhythm_seqnames{1};
  eightreg_ind = reggaerhythm_ind{1};
  eightreg_totInd = reggaerhythm_totInd{1};
  
  lvrrock_nm = nm_reg_cell{2};
  lvrrock_nmq = nmq_reg_cell{2};
  lvrrock_seqnames = reggaerhythm_seqnames{2};
  lvrrock_ind = reggaerhythm_ind{2};
  lvrrock_totInd = reggaerhythm_totInd{2};
  
  skapatt_nm = nm_reg_cell{3};
  skapatt_nmq = nmq_reg_cell{3};
  skapatt_seqnames = reggaerhythm_seqnames{3};
  skapatt_ind = reggaerhythm_ind{3};
  skapatt_totInd = reggaerhythm_totInd{3};
end  


% Load official partitions
load ~/Documents/cs229/ourdata/Brazil/partitions.mat
load ~/Documents/cs229/ourdata/Reggae/partitions.mat

% Load data on timbres
global unusualness totTimb
load ~/Documents/cs229/ourdata/unusualness.mat


%% Also good to create the timbre distance matrix
global T notes
[T,notes] = timbre_distance_matrix;


% Finally, load the beat space parameters
global beats beatLocations
load BeatSpace
