% One particular "official" 5-fold partition of each Brazilian
% dataset

k = 5;
numrhythms = 9;

official_partitions = cell(numrhythms,1);


for whichrhythm = 1:numrhythms
 rhythmname = brazilrhythmnames{whichrhythm}
 nmq = eval([rhythmname '_nmq']);

 official_partitions{whichrhythm} = partition_dataset(nmq, k, 1);
end

wanttooverwrite = 0;
if (wanttooverwrite)
   save ~/Documents/cs229/ourdata/Brazil/partitions.mat official_partitions;
end
