% function official_partition_reggae
%
% Write the official partitions to disk


% --- carry out the randomized partitioning ---
% --- THIS SHOULD BE VERY SIMILAR TO official_partition.m ---
k = 5;
numrhythms = length(reggaerhythmnames);

official_partitions_reggae = cell(numrhythms,1);

for whichrhythm = 1:numrhythms
 rhythmname = reggaerhythmnames{whichrhythm}
 nmq = eval([rhythmname '_nmq']);
 totInd = eval([rhythmname '_totInd']);

 official_partitions_reggae{whichrhythm} = partition_dataset(nmq, k, 1, totInd);
end

wanttooverwrite = 0;
if (wanttooverwrite)
   save ~/Documents/cs229/ourdata/Reggae/partitions.mat official_partitions_reggae;
   
end



% --- just for debugging ---
if(0)
    pianoroll(eightreg_nm)
    eightreg_part = official_partitions_reggae{1};
    pianoroll(eightreg_nm(eightreg_part{1},:),'hold','b')
    title('Check that the partitions do not intersect with the wrap-arounds')
end
