function Aout = removerows(A,rowsToRemove)
% rowsToRemove should be a column vector

[M,N] = size(A);

rowsToRemove = sort(rowsToRemove);
rowsToRemove = [0; rowsToRemove; M+1];
L = length(rowsToRemove);

Aout = [];
for l=1:L-1,
    Aout = [Aout; A(rowsToRemove(l)+1:rowsToRemove(l+1)-1,:)];
end
