load_data

dataset = 'Brazil';
rhythmname = 'escola';

global xnmq ynmq ynm
xnmq = escola_nmq;
ynmq = escola_nmq;
ynm = escola_nm;


distMeasure = 'notedistance';

DMfname = ['~/Documents/cs229/ourdata/' dataset '/Distances/' ...
	   rhythmname '-' distMeasure '.mat'];
disp(['Accessing the file ' DMfname])
load(DMfname)
sizeDM = size(DM)


k = 5;

ind_cell = partition_dataset(escola_nmq, k, 1);

for i = 1:k
  test = ind_cell{i};
  train = [];
  for j = 1:k
    if i~=j
      train = [train ind_cell{j}];
    end
  end

  Ytest = ynm(test,1) - ynmq(test,1);

  YEst = KRR(test, train, DM, 0);

  true_devs = Ytest;

%  size_YEst = size(YEst)
%  size_Ytest = size(Ytest)

  errors = YEst - Ytest;

  %% Output some statistics about how well we did
  errVar = sum(errors.^2)/length(errors)        % Variance of the error
  mtVar = sum(true_devs.^2)/length(true_devs)   % Variance of actual microtimings

  absErrAvg = sum(abs(errors))/length(errors)
  absMtAvg = sum(abs(true_devs))/length(true_devs)
end

