function [x] = applyOurNorm(x, mus, stds, whichCols);
% Then subtract and divide by the given means and 
% standard deviations, respectively.

[M, dummy] = size(x);

x = x(:,whichCols) - ones(M,1) * mus;
x = x ./ (ones(M,1) * stds);