function d = beatdistance(beat1, beat2)
% Utterly heuristic distance function for metrical "distance"
% between two given (absolute, quantized) beat numbers.

diff = mod(abs(beat1-beat2), 4);

switch diff
  case 0
   d = 0;
  case 2
   d = 0.2;
  case {1,3}
   d = 0.3;
  case {0.5 1.5 2.5 3.5}
   d = 0.6;
  case {0.25 0.75 1.25 1.75 2.25 2.75 3.25 3.75}    % added by Ed
   d = 0.8;
  otherwise 
   d = 1;
end


% Add a little asymmetry?
%
%if (abs(beat1-beat2) > 2)
%    d = d + 0.1;
%end
%if d > 1
%    d = 1;
%end