function [x, mus, stds, whichCols] = findOurNorm(x);
% Estimate the means and standard deviations.
%
% Then subtract and divide by the estimated means and 
% standard deviations, respectively.

[M, dummy] = size(x);

mus = mean(x);
x = x - ones(M,1) * mus;

stds = std(x);
whichCols = find(not(stds == 0));
stds = stds(whichCols);
mus = mus(whichCols);
x = x(:,whichCols) ./ (ones(M,1) * stds);