function nm_out = swap_sections(nm_in, instrument)

% nm_in = readmidi(srcFname);

% Hard-wired:
% Our two sequences are 64 notes long
% Swap the first and second halves

% Beat/seconds ratio:
div=nm_in(end,1) / nm_in(end,6); 

nm_out = nm_in;

for i = 1:length(nm_out)
  if (nm_out(i,4) == instrument)
    beatnum = nm_out(i,1);
    if (beatnum > 32) 
       nm_out(i,1) = beatnum-32;
    else
       nm_out(i,1) = beatnum+32;
    end
  end
end

nm_out = sortrows(nm_out, 1);

nm_out(:,6)=nm_out(:,1)/div;
