function test_T

[T,notes] = timbre_distance_matrix;

% notes=[1 2 3];

numnotes = length(notes);



allpairs = zeros(numnotes^2, 3);
for i=1:numnotes
    allpairs(((i-1)*numnotes + [1:numnotes]), 1) = notes(i);
end
allpairs(:,2) = repmat(notes', numnotes, 1);

for i = 1:length(allpairs)
    allpairs(i,3) = T(allpairs(i,1), allpairs(i,2));
end

interesting = allpairs(find((allpairs(:,3) ~= 0) & (allpairs(:,3) ~= 1)), :);


sorted = sortrows(interesting,3);


numpairs = length(sorted);
nm = zeros(numpairs*2, 7);

time_step = 0.7; % seconds

for i = 1:numpairs
    pair = sorted(i,:);
    nm((i*2)-1,:) = [0 0 10 pair(1) 100 i*time_step 0.1];
    nm(i*2,:) = [0 0 10 pair(2) 100 i*time_step+0.2  0.1];
end

BPM = 120;
nm(:,1) = (BPM/60) * nm(:,6);
nm(:,2) = (BPM/60) * nm(:,7);

writemidi(nm, 'timbre-dist-test.MID', 10000, BPM);
